module presentation.types;

final class Point {
    this() {
        _x = 0;
        _y = 0;
    }

    this(double x, double y) {
        _x = x;
        _y = y;
    }

    private {
        double _x;
        double _y;
    }
}

final class Dimension {
    this() {
        _width = 0;
        _height = 0;
    }

    this(double width, double height) {
        _width = width;
        _height = height;
    }

    private {
        double _width;
        double _height;
    }
}
